Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Anybody have the last firmware that was before the latest GO app for MAC?

Discussion in 'News' started by Pietro Avolio, Aug 4, 2015.

  1. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    I am desperate for the app before the newest one came out today. I'm trying to see if my ESC error goes away with a downgrade. I already have my downgrades for the batteries, remote and inspire. Just missing for the IOS.
     
  2. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    1.2.0 version is what I am looking for.

    Thanks.
     
  3. Dr_Dooms

    Joined:
    Jun 19, 2015
    Messages:
    57
    Likes Received:
    16
    I have 1.2.1.06. does that work for you?
     
  4. Dr_Dooms

    Joined:
    Jun 19, 2015
    Messages:
    57
    Likes Received:
    16
  5. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    Is this for the DJI Pilot App for IOS? That is the one I am looking for.

    Thanks.
     
  6. Dr_Dooms

    Joined:
    Jun 19, 2015
    Messages:
    57
    Likes Received:
    16
    That is the firmware for the aircraft
     
  7. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    I have that firmware. Thanks.
     
  8. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    578
    Location:
    Buckie, Scotland, UK
    With the ability to downgrade firmware DJI have both the previous (1.2.1.6) and current (1.3.0.0) available on their download page.

    Has no one heard of keeping backups?
     
  9. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    Let me clarify. It is not the firmware that I need for the actual inspire 1, battieres or rc. It is the DJI Pilot APP that I need. Not DJI GO app, the one before that.
     
  10. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    578
    Location:
    Buckie, Scotland, UK
    If you have not backed up your iOS device to iTunes so that you can restore it, there is no point asking anyone else for a copy. When you download and install an App it is linked with your Apple ID and cannot be shared.

    The ESC upgrade in the new FW is installed on the I1. It has nothing to do with the Pilot/GO app. You can downgrade the I1 FW but not the iOS app (unless you have a backup in iTunes).
     
    #10 Scotflieger, Aug 5, 2015
    Last edited: Aug 5, 2015
  11. Pietro Avolio

    Joined:
    Jun 25, 2015
    Messages:
    22
    Likes Received:
    5
    Bummer. Inspire worked fine before fw. It's impossible to get ahold of someone at DJI today. Been trying since 9am.
     
  12. Scotflieger

    Joined:
    Mar 29, 2015
    Messages:
    1,244
    Likes Received:
    578
    Location:
    Buckie, Scotland, UK
    If it worked before the FW update, you should be able to download (from DJI Download) and downgrade the FW to 1.2.1.06.

    You mention an ESC error. This may be due to tighter check functions in FW 1.3.0.0 indicating a latent fault in your ESCs. My I1 is back with DJI Europe for a replacement of the baro unit for a simpler error report.
     
  13. Phatzo

    Joined:
    Feb 17, 2015
    Messages:
    829
    Likes Received:
    230
    Location:
    Hungary
    is there any way to get the install file of the app on an iOS device?
    if i understand correct then only by saving via iTunes?
    i will do that right away then.